org.keycloak.services.resources.admin.permissions

## Interface RealmPermissionEvaluator

-     public interface RealmPermissionEvaluator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canListRealms()`
    `boolean` | `canManageAuthorization()`
    `boolean` | `canManageEvents()`
    `boolean` | `canManageIdentityProviders()`
    `boolean` | `canManageRealm()`
    `boolean` | `canViewAuthorization()`
    `boolean` | `canViewEvents()`
    `boolean` | `canViewIdentityProviders()`
    `boolean` | `canViewRealm()`
    `void` | `requireManageAuthorization()`
    `void` | `requireManageEvents()`
    `void` | `requireManageIdentityProviders()`
    `void` | `requireManageRealm()`
    `void` | `requireViewAuthenticationFlows()`
    `void` | `requireViewAuthorization()`
    `void` | `requireViewClientAuthenticatorProviders()`
    `void` | `requireViewEvents()`
    `void` | `requireViewIdentityProviders()`
    `void` | `requireViewRealm()`
    `void` | `requireViewRealmNameList()`
    `void` | `requireViewRequiredActions()`

- - ### Method Detail

    - #### canListRealms

          boolean canListRealms()

    - #### requireViewRealmNameList

          void requireViewRealmNameList()

    - #### canManageRealm

          boolean canManageRealm()

    - #### requireManageRealm

          void requireManageRealm()

    - #### canViewRealm

          boolean canViewRealm()

    - #### requireViewRealm

          void requireViewRealm()

    - #### canManageIdentityProviders

          boolean canManageIdentityProviders()

    - #### canViewIdentityProviders

          boolean canViewIdentityProviders()

    - #### requireViewIdentityProviders

          void requireViewIdentityProviders()

    - #### requireManageIdentityProviders

          void requireManageIdentityProviders()

    - #### canManageAuthorization

          boolean canManageAuthorization()

    - #### canViewAuthorization

          boolean canViewAuthorization()

    - #### requireManageAuthorization

          void requireManageAuthorization()

    - #### requireViewAuthorization

          void requireViewAuthorization()

    - #### canManageEvents

          boolean canManageEvents()

    - #### requireManageEvents

          void requireManageEvents()

    - #### canViewEvents

          boolean canViewEvents()

    - #### requireViewEvents

          void requireViewEvents()

    - #### requireViewRequiredActions

          void requireViewRequiredActions()

    - #### requireViewAuthenticationFlows

          void requireViewAuthenticationFlows()

    - #### requireViewClientAuthenticatorProviders

          void requireViewClientAuthenticatorProviders()

Copyright © 2021 JBoss by Red Hat. All rights reserved.